%define upstream_name    Debug-Client
%define upstream_version 0.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Client side code for perl debugger
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Debug/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp) >= 1.330.100
BuildRequires: perl(Exporter) >= 5.700.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::HomeDir) >= 1.0.0
BuildRequires: perl(File::Temp) >= 0.230.400
BuildRequires: perl(IO::Socket::IP) >= 0.290.0
BuildRequires: perl(List::Util) >= 1.380.0
BuildRequires: perl(PadWalker) >= 1.980.0
BuildRequires: perl(Term::ReadLine) >= 1.140.0
BuildRequires: perl(Term::ReadLine::Gnu) >= 1.200.0
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::Class) >= 0.420.0
BuildRequires: perl(Test::Deep) >= 0.112.0
BuildRequires: perl(Test::More) >= 1.1.3
BuildRequires: perl(Test::Requires) >= 0.70.0
BuildRequires: perl(constant) >= 1.270.0
BuildRequires: perl(parent) >= 0.228.0
BuildRequires: perl(version) >= 0.990.800
BuildArch:  noarch

%description
new
    The constructor can get two parameters: host and port.

      my $d = Debug::Client->new;
    
      my $d = Debug::Client->new(host => 'remote.hots.com', port => 4242);

    Immediately after the object creation one needs to call

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
#make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.310.0-4.mga8
+ Revision: 1503798
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.310.0-3.mga7
+ Revision: 1282720
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.310.0-2.mga7
+ Revision: 1164032
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.310.0-1.mga7
+ Revision: 1159616
- update to 0.31

* Sun Sep 24 2017 tv <tv> 0.290.0-8.mga7
+ Revision: 1158641
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.290.0-7.mga6
+ Revision: 1025482
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.290.0-6.mga6
+ Revision: 971842
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.290.0-5.mga6
+ Revision: 893183
+ rebuild (emptylog)

* Fri Oct 16 2015 tv <tv> 0.290.0-4.mga6
+ Revision: 892229
- disable testsuite as it hangs

* Wed Oct 15 2014 umeabot <umeabot> 0.290.0-4.mga5
+ Revision: 748440
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.290.0-3.mga5
+ Revision: 684294
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.290.0-2.mga4
+ Revision: 530918
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 sander85 <sander85> 0.290.0-1.mga4
+ Revision: 460971
- update to 0.29

* Sun Jul 28 2013 sander85 <sander85> 0.280.0-1.mga4
+ Revision: 460091
- update to 0.28

* Tue Jul 09 2013 jquelin <jquelin> 0.260.0-1.mga4
+ Revision: 451960
- update to 0.26

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 365670
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 254833
- update to 0.20

* Mon Dec 12 2011 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 180869
- update to 0.16
- update to 0.12

* Tue Jan 18 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 22337
- cleaning spec file
- imported package perl-Debug-Client

